import { ClassAttributor as l, Scope as r, StyleAttributor as s } from "../../../../parchment@3.0.0/node_modules/parchment/dist/parchment.mjs";
class a extends s {
  value(o) {
    let t = super.value(o);
    return t.startsWith("rgb(") ? (t = t.replace(/^[^\d]+/, "").replace(/[^\d]+$/, ""), `#${t.split(",").map((e) => `00${parseInt(e, 10).toString(16)}`.slice(-2)).join("")}`) : t;
  }
}
const p = new l("color", "ql-color", {
  scope: r.INLINE
}), u = new a("color", "color", {
  scope: r.INLINE
});
export {
  a as ColorAttributor,
  p as ColorClass,
  u as ColorStyle
};
